SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Data Fields | Related Functions
SUBoundingBox3D Struct Reference

Represents a 3D axis-aligned bounding box represented by the extreme diagonal corner points with minimum and maximum x,y,z coordinates. The coordinates of the points are in inches. More...

`#include <SketchUpAPI/geometry.h>`

## Data Fields
struct SUPoint3D | min_point
struct SUPoint3D | max_point

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUBoundingBox3DGetMidPoint (const struct SUBoundingBox3D *bounding_box, struct SUPoint3D *mid_point)
| Gets the mid point from the given bounding box. More...

## Detailed Description

Represents a 3D axis-aligned bounding box represented by the extreme diagonal corner points with minimum and maximum x,y,z coordinates. The coordinates of the points are in inches.

## Friends And Related Function Documentation

enum SUResult SUBoundingBox3DGetMidPoint | ( | const struct SUBoundingBox3D * | bounding_box,
|  | struct SUPoint3D * | mid_point
| ) |  |
| related

Gets the mid point from the given bounding box.

Since
  SketchUp 2018 M0, API 6.0

Parameters

  [in] | bounding_box | The bounding box to calculate the mid point from.
  [out] | mid_point | The mid point to be returned.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if bounding_box is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if mid_point NULL

## Field Documentation

struct SUPoint3D SUBoundingBox3D::max_point

A 3D point where x, y and z are maximum values in the bounding box

struct SUPoint3D SUBoundingBox3D::min_point

A 3D point where x, y and z are minimum values in the bounding box

The documentation for this struct was generated from the following files:

- SketchUpAPI/geometry.h
- SketchUpAPI/geometry/bounding_box.h